OptionGroup (Commons CLI 1.2 API)
Keywords: org.apache.commons.cli.OptionGroup class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.cli
Class OptionGroup

    java.lang.Object
      org.apache.commons.cli.OptionGroup

All Implemented Interfaces:
  Serializable

    public class OptionGroup

extends Object
implements Serializable

A group of mutually exclusive options.

Version:
  $Revision: 680644 $, $Date: 2008-07-29 01:13:48 -0700 (Tue, 29 Jul 2008) $
Author:
  John Keyes ( john at integralsource.com )
See Also:
  Serialized Form

Constructor Summary
`OptionGroup()`

Method Summary
`OptionGroup` | `addOption(Option option)` Add the specified `Option` to this group.
`Collection` | `getNames()`
`Collection` | `getOptions()`
`String` | `getSelected()`
`boolean` | `isRequired()` Returns whether this option group is required.
`void` | `setRequired(boolean required)`
`void` | `setSelected(Option option)` Set the selected option of this group to `name`.
`String` | `toString()` Returns the stringified version of this OptionGroup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionGroup

    public OptionGroup()

Method Detail

### addOption

    public OptionGroup addOption(Option option)

  Add the specified `Option` to this group.

  Parameters:
    `option` - the option to add to this group
  Returns:
    this option group with the option added

### getNames

    public Collection getNames()

  Returns:
    the names of the options in this group as a `Collection`

### getOptions

    public Collection getOptions()

  Returns:
    the options in this group as a `Collection`

### setSelected

    public void setSelected(Option option)
                     throws AlreadySelectedException

  Set the selected option of this group to `name`.

  Parameters:
    `option` - the option that is selected
  Throws:
    `AlreadySelectedException` - if an option from this group has already been selected.

### getSelected

    public String getSelected()

  Returns:
    the selected option name

### setRequired

    public void setRequired(boolean required)

  Parameters:
    `required` - specifies if this group is required

### isRequired

    public boolean isRequired()

  Returns whether this option group is required.

  Returns:
    whether this option group is required

### toString

    public String toString()

  Returns the stringified version of this OptionGroup.

  Overrides:
    `toString` in class `Object`
  Returns:
    the stringified representation of this group

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 The Apache Software Foundation. All Rights Reserved.